Subject: bug#35592: Use display-buffer-in-direction for completion-like windows

From: martin rudalics <[email-masked]>
Date: Mon, 20 May 2019 10:25:31 +0200

> Do you mean that display-buffer--maybe-at-bottom should not be
 > obsoleted?  I.e. just to replace the call to display-buffer-at-bottom
 > in it with display-buffer-in-direction and that's all?

I think 'display-buffer-at-bottom' should be still available via
'display-buffer--action-function-custom-type' so I think we cannot
make it obsolete.  Also I didn't add 'display-buffer-in-direction'
there because we should decide first on how to proceed with it.

 > Also I noticed your comments about rewriting display-buffer-at-bottom.
 > Do you mean just to replace its body with the call to
 > display-buffer-in-direction, or obsolete it altogether and
 > replace all its uses with display-buffer-in-direction?

The former (it's a three liner).  But maybe some work remains wrt
action arguments like 'window-min-height', 'window-height' and
friends.  I doubt that you have already exhausted all possibilities.

martin